<?php
/**
 * @author     Daniel Dimitrov <daniel@compojoom.com>
 * @date       : 21.09.12
 *
 * @copyright  Copyright (C) 2008 - 2012 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.modellist');

/**
 * Class ctransifexModelProjects
 *
 * @since  1.0
 */
class CtransifexModelProjects extends JModelList
{
	/**
	 * Constructor.
	 *
	 * @param   array  $config  - An optional associative array of configuration settings.
	 *
	 * @see        JController
	 * @since      1.6
	 */
	public function __construct($config = array())
	{
		if (empty($config['filter_fields']))
		{
			$config['filter_fields'] = array(
				'id', 'p.id',
				'title', 'p.title',
				'alias', 'p.alias',
				'state', 'p.state',
				'access', 'p.access', 'access_level',
				'created', 'p.created',
				'created_by', 'p.created_by',
				'ordering', 'p.ordering',
			);
		}

		parent::__construct($config);
	}

	/**
	 * Build an SQL query to load the list data.
	 *
	 * @return    JDatabaseQuery
	 *
	 * @since    1.6
	 */
	protected function getListQuery()
	{
		// Create a new query object.
		$db = $this->getDbo();
		$query = $db->getQuery(true);

		// Select the required fields from the table.
		$query->select(
			'p.*'
		);
		$query->from('#__ctransifex_projects AS p');
		$query->where('p.state = 1');

		// Join over the asset groups.
		$query->select('ag.title AS access_level');
		$query->join('LEFT', '#__viewlevels AS ag ON ag.id = p.access');
		$query->order('p.title');

		return $query;
	}
}
